Delete Webhook
Permanently deletes a webhook endpoint and all its delivery history. This action is irreversible.
DELETE
/v1/webhooks/{webhook_id} webhooks:write Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
webhook_id | string | Yes | The unique identifier of the webhook. |
Request Examples
curl -X DELETE https://xqr.co/api/v1/webhooks/wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890 \ -H "Authorization: Bearer xqr_pk_a1b2c3d4.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"const webhookId = "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890";
const response = await fetch(`https://xqr.co/api/v1/webhooks/${webhookId}`, { method: "DELETE", headers: { Authorization: "Bearer xqr_pk_a1b2c3d4.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", },});
console.log(response.status); // 204import httpx
webhook_id = "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890"
response = httpx.delete( f"https://xqr.co/api/v1/webhooks/{webhook_id}", headers={ "Authorization": "Bearer xqr_pk_a1b2c3d4.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", },)
assert response.status_code == 204Response
204 No Content
The response body is empty.
Was this page helpful?
Thanks for your feedback!